×
Namespaces

Variants
Actions

SIP API无法在S60第二版FP2/FP3和S60第三版之间做到代码兼容

From Nokia Developer Wiki
Jump to: navigation, search
Article Metadata

文章
huwell 在 25 Sep 2007 创建
最后由 hamishwillee 在 15 Dec 2011 编辑
  • 设备, 软件 版本:

S60 2nd Edition and FP1, FP2, FP3

S60 3rd Edition


  • 详细描述

Session Initialisation Protocol(SIP) APIs在S60第二版FP2/FP3以及S60第三版之间无法做到代码兼容。


在S60第二版中,SIP并不是平台的一部分,但可以作为S60第二版SDK的一个补充来使用,而在S60第三版中SIP API是集成在平台中的。


代码的不兼容使得开发者想要开发一个支持所有设备的SIP客户端程序显得有些复杂,实际开发时,开发者需要根据不同的平台下进行条件编译,因此要维护不同版本的代码。

This page was last modified on 15 December 2011, at 13:23.
85 page views in the last 30 days.
×